Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ProcessCompletionEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ProcessCompletionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessCompletionEvent

extends ProcessInstanceEvent

Signals completion of the process.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ProcessCompletionEvent()`
`ProcessCompletionEvent(javax.xml.namespace.QName faultName)`

Method Summary
`javax.xml.namespace.QName` | `getFault()` if the process finished with a fault, this will return the fault name, otherwise this will be `null`
`void` | `setFault(javax.xml.namespace.QName fault)`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, getType, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessCompletionEvent

    public ProcessCompletionEvent()

### ProcessCompletionEvent

    public ProcessCompletionEvent(javax.xml.namespace.QName faultName)

Method Detail

### getFault

    public javax.xml.namespace.QName getFault()

  if the process finished with a fault, this will return the fault name, otherwise this will be `null`

  Returns:

### setFault

    public void setFault(javax.xml.namespace.QName fault)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD